Page MenuHomeVyOS Platform

Extend smoketest framework to allow loading an arbitrary config file
Closed, ResolvedPublicENHANCEMENT

Description

As an extension of the testing framework, one could iterate through a directory of example config files, confirming successful load/commit. The config files will be drawn from standard use cases, and would be a build check of any sub-system interactions.

Details

Difficulty level
Normal (likely a few hours)
Version
vyos-1.3
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible

Event Timeline

jestabro triaged this task as Normal priority.Oct 20 2020, 3:51 PM
jestabro created this task.
jestabro created this object in space S1 VyOS Public.
pasik added a subscriber: pasik.Oct 20 2020, 4:20 PM
c-po moved this task from Need Triage to Backlog on the VyOS 1.3 Equuleus board.Oct 25 2020, 6:44 PM
jestabro changed the task status from Open to In progress.Oct 25 2020, 7:14 PM
jestabro moved this task from Backlog to In Progress on the VyOS 1.3 Equuleus board.
jestabro changed the task status from In progress to Needs testing.Oct 26 2020, 2:44 PM

This still needs to be integrated into check-qemu-install before PR:
https://github.com/vyos/vyos-1x/compare/current...jestabro:vyos-configtest

jestabro closed this task as Resolved.Mon, Nov 16, 2:29 PM
jestabro moved this task from In Progress to Finished on the VyOS 1.3 Equuleus board.